rule indexQuery:
	message: " Indexing Query fasta file using samtools faidx"
	input: config['queryFasta']
	output: config['queryFasta']+'.fai'
	shell: "samtools faidx {input}"

rule indexTarget:
	message: " Indexing Target fasta file using samtools faidx"
	input: config['targetFasta']
	output: config['targetFasta']+'.fai'
	shell: "samtools faidx {input}"

rule gmapIndexTarget:
	message: " Create Gmap Index for rescue"
	input: config['targetFasta']
	output: directory(config['results']+"/target_gmapindex")
	params: indexname="target_gmapindex", indexPath=config['results']
	log: config['results']+"/target_gmapindex.log"
	shell: "gmap_build -D {params.indexPath} -d {params.indexname} {input} &> {log}"